﻿using System;
using System.Collections.Generic;

namespace WingAIDiagnosisService.Carotid
{
    public enum CarotidAIImageType
    {
        Base,
        YShape,
        Plaque
    }

    struct CarotidAIImage
    {
        public CarotidAIImageType AIImageType;
        public string AIImageToken;
    }

    class CarotidAIImageTokenParser
    {
        private const string SplitSymbol = ";";
        private const string EqualSymbol = "=";

        public static string Parse(CarotidAIImage[] aiImages)
        {
            var parsedValues = string.Empty;
            for (int i = 0; i < aiImages.Length; i++)
            {
                parsedValues += $"{aiImages[i].AIImageType.ToString()}{EqualSymbol}{aiImages[i].AIImageToken}";
                if (i != aiImages.Length - 1)
                {
                    parsedValues+=SplitSymbol;
                }
            }

            return parsedValues;
        }
    }
}
