﻿using System.Collections.Generic;

namespace WingAIDiagnosisService.Carotid.CarotidInterFacesData
{
    public enum ClipCategory
    {
        Flank = 0,
        Soleplate
    }

    public class CefInputData
    {
        /// <summary>
        /// Point list
        /// </summary>
        public IList<Vector3D> PointsList { get; set; }

        /// <summary>
        /// clip category
        /// </summary>
        public ClipCategory ClipCategory { get; set; }

        /// <summary>
        /// is image flip
        /// </summary>
        public bool Flip { get; set; }

        /// <summary>
        /// Clip image name
        /// </summary>
        public string ClipImageName { get; set; }
    }
}
