namespace WingAIDiagnosisService.Manage
{
    /// <summary>
    /// The AI result label enum.
    /// </summary>
    public enum AILabelEnum
    {
        BIRads1=0,//BIRads 1 
        Lipomyoma=1,
        BIRads2 = 2,
        BIRads3 = 3,
        BIRads4A = 4,
        BIRads4B = 5,
        BIRads4C = 6,
        BIRads5 = 7,
        
        //Normal = 0,
        //Benign = 1,
        //Malignant = 2
        IntrahepaticHyperechoic,//肝内强回声灶（局灶性，良性）
        HHE,//肝血管瘤（局灶性，良性）
        CYST,//肝囊肿（局灶性，良性）
        PossibleCancer,//肝癌可能（局灶性，恶性）
        FattyLiver,//脂肪肝（弥漫性，良性）
        DiffuseLesions,//肝脏弥漫性病变声像图改变（弥漫性，良性）
        Cirrhosis,//肝硬化（弥漫性，良性）
        PCLD,//多囊肝（弥漫性，良性）
    }

    public enum AILiverLabelEnum
    {
        BIRads1 = 0,//未见明显异常
        Hyperechoic = 1,//肝内强回声灶（局灶性，良性）
        HHE = 2,//肝血管瘤（局灶性，良性）
        CYST = 3,//肝囊肿（局灶性，良性）
        PossibleCancer = 4,//肝癌可能（局灶性，恶性）
        FattyLiver = 5,//脂肪肝（弥漫性，良性）
        DiffuseLesions = 6,//肝脏弥漫性病变声像图改变（弥漫性，良性）
        Cirrhosis = 7,//肝硬化（弥漫性，良性）
        PCLD = 8,//多囊肝（弥漫性，良性）
    }
}