namespace WingAIDiagnosisService.Manage
{
    public enum DiagnosisConclusion
    {
        /// <summary>
        /// 未识别
        /// </summary>
        Unrecognized = 2,

        /// <summary>
        /// 未见异常
        /// </summary>
        NoObviousLesion,

        /// <summary>
        /// 良性
        /// </summary>
        Benign,

        /// <summary>
        /// 恶性
        /// </summary>
        Malignant,

        /// <summary>
        /// 良恶性并存
        /// </summary>
        BenignAndMalignant,
    }
}