﻿namespace WingAIDiagnosisService.Carotid
{
    public class CarotidData
    {
        public string TerminalRecordId { get; }

        public string MdlFileToken { get; }

        public string SurfaceFileToken { get; }

        public string CarotidAIMeasureImageToken { get; }

        public string CarotidAIMeasureResult { get; }

        public CarotidData(string terminalRecordId)
        {
            TerminalRecordId = terminalRecordId;
        }

        public CarotidData(string terminalRecordId, string mdlFileToken, string surfaceFileToken)
        {
            TerminalRecordId = terminalRecordId;
            MdlFileToken = mdlFileToken;
            SurfaceFileToken = surfaceFileToken;
        }

        public CarotidData(string terminalRecordId, string mdlFileToken, string surfaceFileToken,string aiMeasureImageToken,string aiMeasureResult)
        {
            TerminalRecordId = terminalRecordId;
            MdlFileToken = mdlFileToken;
            SurfaceFileToken = surfaceFileToken;
            CarotidAIMeasureImageToken = aiMeasureImageToken;
            CarotidAIMeasureResult = aiMeasureResult;
        }

    }
}
