namespace WingAIDiagnosisService.Manage
{
    /// <summary>
    /// The AI result label enum.
    /// </summary>
    public enum DataType
    {
        /// <summary>
        /// VinnoVidSingle-0 | 飞依诺单帧图像
        /// </summary>
        VinnoVidSingle = 0,

        /// <summary>
        /// ThirdVidSingle-1 | 第三方单帧图像
        /// </summary>
        ThirdVidSingle = 1,

        /// <summary>
        /// VinnoVidMovie-2 | 飞依诺视频图像
        /// </summary>
        VinnoVidMovie = 2,

        /// <summary>
        /// ThirdVidMovie-3 | 第三方视频图像
        /// </summary>
        ThirdVidMovie = 3,

        /// <summary>
        /// Image-4 | 普通图片
        /// </summary>
        Image = 4,
    }
}