
using System.Collections.Generic;
using AI.DiagSystem;
using WingInterfaceLibrary.Enum;

namespace WingAIDiagnosisService.Manage
{
    public class DiagnosisReportRequest2
    {
        public DiagnosisOrganEnum Organ { get; set; }

        public List<RemedicalModel> RemedicalList { get; set; } = new List<RemedicalModel>();
    }

    public class RemedicalModel
    {
        public string RemedicalCode { get; set; }

        public DataType DataType { get; set; }

        public string LocalVidPath { get; set; }

        public List<AIDiagnosisPerImageModel> PerImageResults { get; set; } = new List<AIDiagnosisPerImageModel>();
    }
}